package com.schbrain.archetype.initializer.backend.controller;

import com.schbrain.archetype.initializer.backend.maven.MavenUtils;
import com.schbrain.archetype.initializer.backend.param.ArchetypeGenerateParam;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author liaozan
 * @since 2022/3/20
 */
@RestController
public class InitializerController {

    @PostMapping("/archetype/generate")
    public void generateArchetype(@RequestBody @Validated ArchetypeGenerateParam param) {
        MavenUtils.generate(param.getGroup(), param.getArtifact());
    }

}